## Autosubmit GUI [Old Repository]

[![status](https://joss.theoj.org/papers/a8ac17f6c02fdf76098ac97ed3e09b22/status.svg)](https://joss.theoj.org/papers/a8ac17f6c02fdf76098ac97ed3e09b22)

### Overview:

Autosubmit GUI is a front-end software developed using [ReactJS](https://reactjs.org/docs/getting-started.html) as the main framework, and JavaScript in general.
This front-end software consumes most of the information it needs from [Autosubmit API](https://earth.bsc.es/gitlab/wuruchi/autosubmitreact/-/wikis/Autosubmit-API), an API that retrieves information from an internal file system that
results from the execution of [Autosubmit](https://earth.bsc.es/gitlab/es/autosubmit) to execute experiments on a High Performance Computing environment.

These two systems, the API and the GUI, are tightly coupled. However, it is possible to adapt the API calls to other sources of information you might prefer, and for
that purpose we provide with response examples (more details in the installation section) that can help the developer understand how the information is used in
the components of the GUI.

Autosubmit GUI uses [FancyTree](https://github.com/mar10/fancytree/) and [vis.js](https://visjs.org/), two popular and very useful libraries, to show the experiment
information in a graphical and comprehensive way. The GUI implements creative ways to use these libraries to dynamically display information without losing performance.
Some of the expermients in our environment can include more than `10000` items, and showing this information in a web format without significant loss of performance is
by itself an achievement.

## Important

The **Autosubmit GUI** project has been moved to [https://earth.bsc.es/gitlab/es/autosubmitreact](https://earth.bsc.es/gitlab/es/autosubmitreact).
